package com.ruoyi.screen.contones;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 日志分页条件参数
 */
@Data
public class RLog {
    /**
     * 页数
     */
    private Integer pageNum=1;
    /**
     * 条数
     */
    private Integer pageSize=3;
    /**
     * 故障码
     */
    private String faultCode;
    /**
     * 车辆vin
     */
    private String faultVin;
    /**
     * 开始时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date logStart;
    /**
     * 结束时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date logEnd;
}
