package com.ruoyi.screen.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 日志记录
 */
@Data
public class FaultsLog {
    //id
    private Integer logId;
    //故障码id
    private Integer faultId;
    //故障码
    private String faultCode;
    //车辆vin
    private String faultVin;
    //报警时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date logStart;
    //报警结束时间
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date logEnd;

    private String faultLabel;

}
