package com.ruoyi.screen.mapper;

import com.ruoyi.screen.contones.RFaults;
import com.ruoyi.screen.domain.FaultsLog;
import com.ruoyi.screen.domain.Type;
import com.ruoyi.screen.domain.VehicleFaults;
import com.ruoyi.screen.result.Result;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Mapper
public interface CarMapper {

    ArrayList<VehicleFaults> FaultsMessage();

    void addFaults(FaultsLog faultsLog1);

    Integer findFaultId(FaultsLog faultsLog);

    void updateFaults(FaultsLog faultsLog);

    void addFaultsss(@Param("faultsLogs") ArrayList<FaultsLog> faultsLogs);

    void AddFaultsCode(VehicleFaults vehicleFaults);

    List<Type> FindType();

    int deleteFaultsCode(@Param("faultId") Integer faultId);

    VehicleFaults findFaultsId(@Param("faultId") Integer faultId);

    List<VehicleFaults> findFault(RFaults rFaults);

    void faultUpdate(VehicleFaults vehicleFaults);


    FaultsLog findLog(@Param("faultVin") String faultVin, @Param("logStart") Date logStart);

   List<Map<Object,Object>> groupCount();

    List<Map<Object,Object>> toDay();

    List<Map<Object, Object>> yestDay();
}
