package com.ruoyi.screen.service.impl;

import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import com.ruoyi.screen.contones.RLog;
import com.ruoyi.screen.domain.FaultsLog;
import com.ruoyi.screen.mapper.LogMapper;
import com.ruoyi.screen.result.PageResult;
import com.ruoyi.screen.result.Result;
import com.ruoyi.screen.service.LogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class LogServiceimpl implements LogService {
    @Autowired
    private LogMapper logMapper;

    @Override
    public PageResult<FaultsLog> logList(RLog rLog) {
        PageHelper.startPage(rLog.getPageNum(),rLog.getPageSize());

        List<FaultsLog> faultsLogs=logMapper.logList(rLog);

        PageInfo<FaultsLog> faultsLogPageInfo = new PageInfo<>(faultsLogs);

        return PageResult.toPageResult(faultsLogPageInfo.getTotal(),faultsLogs);
    }

    @Override
    public Result logdelete(Integer logId) {
         logMapper.logdelete(logId);
        return Result.success("删除成功!!");
    }

    @Override
    public FaultsLog fingLogFalut(Integer logId) {
        return logMapper.fingLogFalut(logId);
    }

    @Override
    public Result LogUpdate(FaultsLog faultsLog) {
         logMapper.LogUpdate(faultsLog);
        return Result.success("修改成功!");
    }
}
